tracker-store(1)

NAME
tracker-store - database indexer and query daemon

SYNOPSIS
tracker-store [OPTION...]

DESCRIPTION
tracker-store provides both a powerful database daemon which allows clients to query or update their data using the highly descriptive SPARQL language.

tracker-store does not do any file crawling or any mining of data itself, instead other processes do that and serves as a daemon waiting for such requests from application miners like tracker-miner-fs.

For help on how to configure this daemon, see the man page for tracker-store.cfg.

OPTIONS

-?, --help
    A brief help message including some examples.

-V, --version
    Returns the version of this binary.

-v, --verbosity={0|1|2|3}
    Sets the logging level, 0=errors, 1=minimal, 2=detailed, 3=debug.

-r, --force-reindex
    This forces tracker-store to remove databases and to recreate fresh databases ready for data insertion from the miners. For more information about the miners, see tracker-miner-fs.

-m, --low-memory
    This changes the behavior of the database manager and some other parts of tracker-store to be optimized for lower memory systems by lowering database connection cache sizes and page sizes for example. This may slow down indexing performance.

-n, --readonly-mode
    This starts tracker-store in a mode which disables writing to the database. Only SPARQL read requests can be serviced if this option is used.

ENVIRONMENT

TRACKER_DB_SQL_DIR
    This is the directory which tracker uses to load the .sql files from. These are needed on each invocation of tracker-store. If unset it will default to the correct place. This is used mainly for testing purposes.

TRACKER_DB_ONTOLOGIES_DIR
    This is the directory which tracker uses to load the .ontology files from. If unset it will default to the correct place. This is used mainly for testing purposes.

FILES
$HOME/.config/tracker/tracker-store.cfg $HOME/.config/tracker/tracker-fts.cfg

NOTES
tracker-store is highly bound to the D-Bus freedesktop project. A D-Bus session is needed for all Tracker processes to communicate between each other. D-Bus is our acting IPC. See dbus-daemon(1) for more information.

SEE ALSO
tracker-applet(1), tracker-search-tool(1), tracker-search(1), tracker-tag(1), tracker-stats(1), tracker-services(1), tracker-info(1), tracker-status(1). tracker-store.cfg(5), tracker-fts.cfg(5). http://www.w3.org/TR/rdf-sparql-query/ dbus-daemon(1), http://www.freedesktop.org/wiki/Software/dbus